---------------------
PatchSet 9177 
Date: 2009/08/22 16:38:24
Author: serassio
Branch: nt
Tag: (none) 
Log:
Updated Visual Studio project

Members: 
	port/win32/squid.sln:1.1.2.11->1.1.2.12 
	port/win32/cachemgr/cachemgr.vcproj:1.1.2.4->1.1.2.5 
	port/win32/cf_gen/cf_gen.vcproj:1.1.2.4->1.1.2.5 
	port/win32/include/autoconf.h:1.2.18.22->1.2.18.23 
	port/win32/libcc/libcc.vcproj:1.1.2.3->1.1.2.4 
	port/win32/libicap/libicap.vcproj:1.1.2.3->1.1.2.4 
	port/win32/libmiscutil/libmiscutil.vcproj:1.1.2.11->1.1.2.12 
	port/win32/libntlm/libntlm.vcproj:1.1.2.2->1.1.2.3 
	port/win32/libntlmauth/libntlmauth.vcproj:1.1.2.2->1.1.2.3 
	port/win32/libsnmp/libsnmp.vcproj:1.1.2.2->1.1.2.3 
	port/win32/squid/squid.vcproj:1.1.2.20->1.1.2.21 

Index: squid3/port/win32/squid.sln
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/squid.sln,v
retrieving revision 1.1.2.11
retrieving revision 1.1.2.12
diff -u -r1.1.2.11 -r1.1.2.12
--- squid3/port/win32/squid.sln	11 Jul 2008 10:03:16 -0000	1.1.2.11
+++ squid3/port/win32/squid.sln	22 Aug 2009 16:38:24 -0000	1.1.2.12
@@ -271,6 +271,8 @@
 		{89F015D1-DCA7-444C-AFA0-D1E445922243} = {89F015D1-DCA7-444C-AFA0-D1E445922243}
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libip", "libip\libip.vcproj", "{9F3EC1F7-7AB1-495F-9151-966C6F12DB48}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
@@ -479,6 +481,10 @@
 		{0FFF4160-F800-49C1-9451-A690458BDE3D}.Debug|Win32.Build.0 = Debug|Win32
 		{0FFF4160-F800-49C1-9451-A690458BDE3D}.Release|Win32.ActiveCfg = Release|Win32
 		{0FFF4160-F800-49C1-9451-A690458BDE3D}.Release|Win32.Build.0 = Release|Win32
+		{9F3EC1F7-7AB1-495F-9151-966C6F12DB48}.Debug|Win32.ActiveCfg = Debug|Win32
+		{9F3EC1F7-7AB1-495F-9151-966C6F12DB48}.Debug|Win32.Build.0 = Debug|Win32
+		{9F3EC1F7-7AB1-495F-9151-966C6F12DB48}.Release|Win32.ActiveCfg = Release|Win32
+		{9F3EC1F7-7AB1-495F-9151-966C6F12DB48}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
Index: squid3/port/win32/cachemgr/cachemgr.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/cachemgr/Attic/cachemgr.vcproj,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/port/win32/cachemgr/cachemgr.vcproj	1 Jul 2008 12:22:16 -0000	1.1.2.4
+++ squid3/port/win32/cachemgr/cachemgr.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.5
@@ -42,7 +42,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../src;../../../include;../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_CONSOLE;HAVE_CONFIG_H"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -135,7 +135,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../src,../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../src;../../../include;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_CONSOLE;HAVE_CONFIG_H"
 				StringPooling="true"
 				RuntimeLibrary="0"
Index: squid3/port/win32/cf_gen/cf_gen.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/cf_gen/Attic/cf_gen.vcproj,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/port/win32/cf_gen/cf_gen.vcproj	17 Jun 2006 22:01:53 -0000	1.1.2.4
+++ squid3/port/win32/cf_gen/cf_gen.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.5
@@ -43,7 +43,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../include,../,../../src../include,../../../include,../../,../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../../;../../src;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_CONSOLE;HAVE_CONFIG_H"
 				StringPooling="true"
 				RuntimeLibrary="0"
@@ -133,7 +133,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../../,../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../../;../../src;../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_CONSOLE;HAVE_CONFIG_H"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
Index: squid3/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.2.18.22
retrieving revision 1.2.18.23
diff -u -r1.2.18.22 -r1.2.18.23
--- squid3/port/win32/include/autoconf.h	31 May 2009 09:32:17 -0000	1.2.18.22
+++ squid3/port/win32/include/autoconf.h	22 Aug 2009 16:38:24 -0000	1.2.18.23
@@ -35,7 +35,7 @@
 /* #undef C_ALLOCA */
 
 /* Default FD_SETSIZE value */
-#define DEFAULT_FD_SETSIZE 256
+#define DEFAULT_FD_SETSIZE 64
 
 /* Traffic management via "delay pools". */
 #define DELAY_POOLS 1
@@ -334,11 +334,14 @@
    */
 /* #undef HAVE_LINUX_NETFILTER_IPV4_IP_TPROXY_H */
 
+/* Define to 1 if you have the <linux/types.h> header file. */
+/* #undef HAVE_LINUX_TYPES_H */
+
 /* long is defined in system headers */
 #define HAVE_LONG 1
 
 /* long long is defined in system headers */
-/* #undef HAVE_LONG_LONG */
+#define HAVE_LONG_LONG 1
 
 /* Define to 1 if you have the `lrand48' function. */
 /* #undef HAVE_LRAND48 */
@@ -470,7 +473,7 @@
 /* #undef HAVE_PATHS_H */
 
 /* pid_t is defined by the system headers */
-#define HAVE_PID_T 1
+// #define HAVE_PID_T 1
 
 /* Define to 1 if you have the `poll' function. */
 /* #undef HAVE_POLL */
@@ -621,7 +624,7 @@
 #define HAVE_STDEXCEPT 1
 
 /* Define to 1 if you have the <stdint.h> header file. */
-#define HAVE_STDINT_H 1
+/* #undef HAVE_STDINT_H */
 
 /* Define to 1 if you have the <stdio.h> header file. */
 #define HAVE_STDIO_H 1
@@ -768,16 +771,16 @@
 #define HAVE_TIME_H 1
 
 /* uint16_t is defined in system headers */
-#define HAVE_UINT16_T 1
+/* #undef  HAVE_UINT16_T */
 
 /* uint32_t is defined in system headers */
-#define HAVE_UINT32_T 1
+/* #undef  HAVE_UINT32_T */
 
 /* uint64_t is defined in system headers */
-#define HAVE_UINT64_T 1
+/* #undef  HAVE_UINT64_T */
 
 /* uint8_t is defined in system headers */
-#define HAVE_UINT8_T 1
+/* #undef HAVE_UINT8_T */
 
 /* Define to 1 if you have the <unistd.h> header file. */
 /* #undef HAVE_UNISTD_H */
@@ -860,6 +863,9 @@
    with caution. */
 /* #undef KILL_PARENT_OPT */
 
+/* if libcap2 is available and not clashing with libc */
+#define LIBCAP_BROKEN 1
+
 /* If libresolv.a has been hacked to export _dns_ttl_ */
 /* #undef LIBRESOLV_DNS_TTL_HACK */
 
@@ -951,10 +957,10 @@
 #define SIZEOF___INT64 8
 
 /* UDP receive buffer size */
-#define SQUID_DETECT_UDP_SO_RCVBUF 16384
+#define SQUID_DETECT_UDP_SO_RCVBUF 8192
 
 /* UDP send buffer size */
-#define SQUID_DETECT_UDP_SO_SNDBUF 16384
+#define SQUID_DETECT_UDP_SO_SNDBUF 8192
 
 /* Maximum number of open filedescriptors */
 #define SQUID_MAXFD 2048
@@ -963,10 +969,10 @@
 #define SQUID_SNMP 1
 
 /* TCP receive buffer size */
-#define SQUID_TCP_SO_RCVBUF 16384
+#define SQUID_TCP_SO_RCVBUF 8192
 
 /* TCP send buffer size */
-#define SQUID_TCP_SO_SNDBUF 16384
+#define SQUID_TCP_SO_SNDBUF 8192
 
 /* If using the C implementation of alloca, define if you know the
    direction of stack growth for your system; otherwise it will be
Index: squid3/port/win32/libcc/libcc.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libcc/Attic/libcc.vcproj,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/port/win32/libcc/libcc.vcproj	20 Jan 2008 20:44:00 -0000	1.1.2.3
+++ squid3/port/win32/libcc/libcc.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.4
@@ -41,7 +41,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../lib/libtrie/include,../../../include,../../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../lib/libtrie/include;../../../include;../../../src;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
 				StringPooling="true"
 				RuntimeLibrary="0"
@@ -115,7 +115,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../lib/libtrie/include,../../../include,../../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../lib/libtrie/include;../../../include;../../../src;../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -172,10 +172,6 @@
 			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 			>
 			<File
-				RelativePath="..\..\..\lib\IPAddress.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\..\lib\MemPool.cc"
 				>
 			</File>
@@ -196,10 +192,6 @@
 			Name="Header Files"
 			Filter="h;hpp;hxx;hm;inl"
 			>
-			<File
-				RelativePath="..\..\..\include\IPAddress.h"
-				>
-			</File>
 		</Filter>
 	</Files>
 	<Globals>
Index: squid3/port/win32/libicap/libicap.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libicap/Attic/libicap.vcproj,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/port/win32/libicap/libicap.vcproj	14 Aug 2007 09:40:17 -0000	1.1.2.3
+++ squid3/port/win32/libicap/libicap.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.4
@@ -41,7 +41,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../../../src;../include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;HAVE_CONFIG_H"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -105,7 +105,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../../../src;../include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;HAVE_CONFIG_H"
 				StringPooling="true"
 				RuntimeLibrary="0"
@@ -153,59 +153,47 @@
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
 			>
 			<File
-				RelativePath="..\..\..\src\ICAP\AsyncJob.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Client.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ChunkedCodingParser.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Config.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPClient.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Elements.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPConfig.cc"
+				RelativePath="..\..\..\src\adaptation\icap\History.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPElements.cc"
+				RelativePath="..\..\..\src\adaptation\icap\icap_log.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPInitiate.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Launcher.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPInitiator.cc"
+				RelativePath="..\..\..\src\adaptation\icap\ModXact.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPLauncher.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Options.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPModXact.cc"
+				RelativePath="..\..\..\src\adaptation\icap\OptXact.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPOptions.cc"
+				RelativePath="..\..\..\src\adaptation\icap\ServiceRep.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPOptXact.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\ICAPServiceRep.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\ICAPXaction.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\TextException.cc"
+				RelativePath="..\..\..\src\adaptation\icap\Xaction.cc"
 				>
 			</File>
 		</Filter>
@@ -215,63 +203,51 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
 			>
 			<File
-				RelativePath="..\..\..\src\ICAP\AsyncJob.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\ChunkedCodingParser.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\ICAPClient.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\..\src\ICAP\ICAPConfig.h"
+				RelativePath="..\..\..\src\adaptation\icap\Client.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPElements.h"
+				RelativePath="..\..\..\src\adaptation\icap\Config.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPInitiate.h"
+				RelativePath="..\..\..\src\adaptation\icap\Elements.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPInitiator.h"
+				RelativePath="..\..\..\src\adaptation\icap\History.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPInOut.h"
+				RelativePath="..\..\..\src\adaptation\icap\icap_log.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPLauncher.h"
+				RelativePath="..\..\..\src\adaptation\icap\InOut.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPModXact.h"
+				RelativePath="..\..\..\src\adaptation\icap\Launcher.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPOptions.h"
+				RelativePath="..\..\..\src\adaptation\icap\ModXact.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPOptXact.h"
+				RelativePath="..\..\..\src\adaptation\icap\Options.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPServiceRep.h"
+				RelativePath="..\..\..\src\adaptation\icap\OptXact.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\ICAPXaction.h"
+				RelativePath="..\..\..\src\adaptation\icap\ServiceRep.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\src\ICAP\TextException.h"
+				RelativePath="..\..\..\src\adaptation\icap\Xaction.h"
 				>
 			</File>
 		</Filter>
Index: squid3/port/win32/libmiscutil/libmiscutil.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libmiscutil/Attic/libmiscutil.vcproj,v
retrieving revision 1.1.2.11
retrieving revision 1.1.2.12
diff -u -r1.1.2.11 -r1.1.2.12
--- squid3/port/win32/libmiscutil/libmiscutil.vcproj	1 Jul 2008 12:22:16 -0000	1.1.2.11
+++ squid3/port/win32/libmiscutil/libmiscutil.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.12
@@ -42,7 +42,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../include,../../../src"
+				AdditionalIncludeDirectories="../../../;../../../include;../include;../../../src"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
 				StringPooling="true"
 				RuntimeLibrary="0"
@@ -54,6 +54,7 @@
 				ProgramDataBaseFileName=".\Release/"
 				WarningLevel="3"
 				SuppressStartupBanner="true"
+				CompileAs="1"
 			/>
 			<Tool
 				Name="VCManagedResourceCompilerTool"
@@ -116,7 +117,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../include,../../../src"
+				AdditionalIncludeDirectories="../../../;../../../include;../include;../../../src"
 				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -129,6 +130,7 @@
 				WarningLevel="3"
 				SuppressStartupBanner="true"
 				DebugInformationFormat="4"
+				CompileAs="1"
 			/>
 			<Tool
 				Name="VCManagedResourceCompilerTool"
@@ -173,10 +175,6 @@
 			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 			>
 			<File
-				RelativePath="..\..\..\lib\assert.c"
-				>
-			</File>
-			<File
 				RelativePath="..\..\..\lib\base64.c"
 				>
 				<FileConfiguration
@@ -201,6 +199,10 @@
 				</FileConfiguration>
 			</File>
 			<File
+				RelativePath="..\..\..\lib\charset.c"
+				>
+			</File>
+			<File
 				RelativePath="..\..\..\lib\dirent.c"
 				>
 			</File>
@@ -668,6 +670,14 @@
 			Filter="h;hpp;hxx;hm;inl"
 			>
 			<File
+				RelativePath="..\include\autoconf.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\compat\compat.h"
+				>
+			</File>
+			<File
 				RelativePath="..\include\dirent.h"
 				>
 			</File>
@@ -684,6 +694,10 @@
 				>
 			</File>
 			<File
+				RelativePath="..\..\..\compat\os\mswin.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\..\include\parse.h"
 				>
 			</File>
Index: squid3/port/win32/libntlm/libntlm.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libntlm/Attic/libntlm.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/libntlm/libntlm.vcproj	1 Jan 2005 11:14:55 -0000	1.1.2.2
+++ squid3/port/win32/libntlm/libntlm.vcproj	22 Aug 2009 16:38:24 -0000	1.1.2.3
@@ -19,7 +19,7 @@
 			IntermediateDirectory=".\Debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -42,17 +42,17 @@
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../include,../../../src,../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				MinimalRebuild="TRUE"
+				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				RuntimeTypeInfo="TRUE"
+				RuntimeTypeInfo="true"
 				UsePrecompiledHeader="0"
 				PrecompiledHeaderFile=".\Debug/libntlm.pch"
 				AssemblerListingLocation=".\Debug/"
 				ObjectFile=".\Debug/"
 				ProgramDataBaseFileName=".\Debug/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				DebugInformationFormat="4"
 			/>
 			<Tool
@@ -69,7 +69,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Debug\libntlm.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -79,11 +79,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Debug/libntlm.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
@@ -95,7 +95,7 @@
 			IntermediateDirectory=".\Release"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -117,19 +117,19 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../../../src;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				StringPooling="TRUE"
+				StringPooling="true"
 				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
-				RuntimeTypeInfo="TRUE"
+				EnableFunctionLevelLinking="true"
+				RuntimeTypeInfo="true"
 				UsePrecompiledHeader="0"
 				PrecompiledHeaderFile=".\Release/libntlm.pch"
 				AssemblerListingLocation=".\Release/"
 				ObjectFile=".\Release/"
 				ProgramDataBaseFileName=".\Release/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCManagedResourceCompilerTool"
@@ -145,7 +145,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Release\libntlm.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -155,11 +155,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Release/libntlm.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
Index: squid3/port/win32/libntlmauth/libntlmauth.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libntlmauth/Attic/libntlmauth.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/libntlmauth/libntlmauth.vcproj	1 Jan 2005 11:14:55 -0000	1.1.2.2
+++ squid3/port/win32/libntlmauth/libntlmauth.vcproj	22 Aug 2009 16:38:25 -0000	1.1.2.3
@@ -19,7 +19,7 @@
 			IntermediateDirectory=".\Release"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -41,18 +41,18 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				StringPooling="TRUE"
+				StringPooling="true"
 				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
+				EnableFunctionLevelLinking="true"
 				UsePrecompiledHeader="0"
 				PrecompiledHeaderFile=".\Release/libntlmauth.pch"
 				AssemblerListingLocation=".\Release/"
 				ObjectFile=".\Release/"
 				ProgramDataBaseFileName=".\Release/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCManagedResourceCompilerTool"
@@ -68,7 +68,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Release\libntlmauth.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -78,11 +78,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Release/libntlmauth.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
@@ -94,7 +94,7 @@
 			IntermediateDirectory=".\Debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -115,9 +115,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				MinimalRebuild="TRUE"
+				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="0"
@@ -126,7 +126,7 @@
 				ObjectFile=".\Debug/"
 				ProgramDataBaseFileName=".\Debug/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				DebugInformationFormat="4"
 			/>
 			<Tool
@@ -143,7 +143,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Debug\libntlmauth.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -153,11 +153,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Debug/libntlmauth.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
Index: squid3/port/win32/libsnmp/libsnmp.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libsnmp/Attic/libsnmp.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/libsnmp/libsnmp.vcproj	1 Jan 2005 11:14:56 -0000	1.1.2.2
+++ squid3/port/win32/libsnmp/libsnmp.vcproj	22 Aug 2009 16:38:25 -0000	1.1.2.3
@@ -19,7 +19,7 @@
 			IntermediateDirectory=".\Debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -40,9 +40,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../include"
 				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				MinimalRebuild="TRUE"
+				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="0"
@@ -51,7 +51,7 @@
 				ObjectFile=".\Debug/"
 				ProgramDataBaseFileName=".\Debug/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				DebugInformationFormat="4"
 			/>
 			<Tool
@@ -68,7 +68,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Debug\libsnmp.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -78,11 +78,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Debug/libsnmp.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
@@ -94,7 +94,7 @@
 			IntermediateDirectory=".\Release"
 			ConfigurationType="4"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			ATLMinimizesCRunTimeLibraryUsage="false"
 			CharacterSet="2"
 			>
 			<Tool
@@ -116,18 +116,18 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../include,../include"
+				AdditionalIncludeDirectories="../../../;../../../include;../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;HAVE_CONFIG_H"
-				StringPooling="TRUE"
+				StringPooling="true"
 				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
+				EnableFunctionLevelLinking="true"
 				UsePrecompiledHeader="0"
 				PrecompiledHeaderFile=".\Release/libsnmp.pch"
 				AssemblerListingLocation=".\Release/"
 				ObjectFile=".\Release/"
 				ProgramDataBaseFileName=".\Release/"
 				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCManagedResourceCompilerTool"
@@ -143,7 +143,7 @@
 			<Tool
 				Name="VCLibrarianTool"
 				OutputFile=".\Release\libsnmp.lib"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 			/>
 			<Tool
 				Name="VCALinkTool"
@@ -153,11 +153,11 @@
 			/>
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="TRUE"
+				SuppressStartupBanner="true"
 				OutputFile=".\Release/libsnmp.bsc"
 			/>
 			<Tool
-				Name="VCAppVerifierTool"
+				Name="VCFxCopTool"
 			/>
 			<Tool
 				Name="VCPostBuildEventTool"
Index: squid3/port/win32/squid/squid.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/squid/Attic/squid.vcproj,v
retrieving revision 1.1.2.20
retrieving revision 1.1.2.21
diff -u -r1.1.2.20 -r1.1.2.21
--- squid3/port/win32/squid/squid.vcproj	10 Mar 2008 14:25:07 -0000	1.1.2.20
+++ squid3/port/win32/squid/squid.vcproj	22 Aug 2009 16:38:25 -0000	1.1.2.21
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="Windows-1252"?>
 <VisualStudioProject
 	ProjectType="Visual C++"
-	Version="8.00"
+	Version="8,00"
 	Name="squid"
 	ProjectGUID="{C3ACE9B0-9E43-4CCB-8642-8F66F55DAEDD}"
 	>
@@ -1133,10 +1133,6 @@
 				>
 			</File>
 			<File
-				RelativePath="..\..\..\include\squid_mswin.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\..\src\structs.h"
 				>
 			</File>
